edu.claflin.finder.io.graph

## Class NOABatchIO

- java.lang.Object
- - edu.claflin.finder.io.graph.NOABatchIO

- All Implemented Interfaces:
    GraphWriter

      public final class NOABatchIO
      extends java.lang.Object
      implements GraphWriter

  A class for writing graphs in the NOA batch format. NOA batch format is similar to the SIF format except that multiple graphs are contained within a single file for batch processing by the NOA plugin for Cytoscape. An example batch graph is here:
  Version:
    3.1 May 28, 2015
  Author:
    Charles Allen Schultz II

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `defaultRelationship` Contains the String representation of the default relationship to use.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NOABatchIO(java.lang.String defaultRelationship)` Constructs the NOABatchIO object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private java.lang.String` | `verifyRelationship(java.lang.Object edgeData)` Verifies the relationship between edges.
    `void` | `writeGraph(Graph toWrite)` Writes graphs to memory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### defaultRelationship

          private final java.lang.String defaultRelationship

      Contains the String representation of the default relationship to use. The default relationship value is used when writing a graph and the graph being read does not use String objects to represent edges. Currently, String objects are being used for simplicity.

  - ### Constructor Detail

    - #### NOABatchIO

          public NOABatchIO(java.lang.String defaultRelationship)

      Constructs the NOABatchIO object.
      Parameters:
        `defaultRelationship` - the String representing the default edge relationship.

  - ### Method Detail

    - #### writeGraph

          public void writeGraph(Graph toWrite)

      Writes graphs to memory. Writes NOA batch files.
      Specified by:
        `writeGraph` in interface `GraphWriter`
      Parameters:
        `toWrite` - the Graph object to write to memory.

    - #### verifyRelationship

          private java.lang.String verifyRelationship(java.lang.Object edgeData)

      Verifies the relationship between edges. Checks to see that the Object used in the `Graph` for representing an edge is a String. If it not, the default relationship is used instead.
      Parameters:
        `edgeData` -
      Returns: